<?php
if (!class_exists('WPContentMagic_Keywords')) {
	class WPContentMagic_Keywords
	{
	    /**
         * Function to get keywords from title
         * 
         * @param 	string	$title
         * 
         * @return 	void
         * @static 
         */
        static function get_keywords_from_title($title) {
       		$stop_words_arr = WPContentMagic_Settings::get_stop_words(); // All words are in lower case
       		
       		// Ignore the characters that doesn't form part of keywords
       		$characters_to_ignore_arr = WPContentMagic_Settings::get_characters_to_ignore();
       		$clean_title = $title;
       		foreach ($characters_to_ignore_arr as $character) {
       			$clean_title = str_replace($character,'',$clean_title);
       		}
       		
			$all_words_in_title = explode(' ',$clean_title);
				
			$keys_arr = array();
			foreach ($all_words_in_title as $each_word) {
				if (trim($each_word)!='' && !in_array(strtolower($each_word),$stop_words_arr)) {
					$keys_arr[] = $each_word;
				}
			}
			
			return $keys_arr;
        }
        
        /**
         * Search the next valid keyword from an index
         * 
         * @param unknown_type $content
         * @param unknown_type $keys_arr
         * @param unknown_type $index_begin
         */
        static function search_next_keyword($content,$keys_arr,$index_begin) {
        	$index_found = '';
        	$key_found = '';
        	
        	foreach ($keys_arr as $key) {
        		$tmp_index_begin = $index_begin; // Reset this value per key
        		// Do until finds a proper key, or there isn't no more
        		do {
        			$tmp_key = strtolower($key); 
        			$tmp_index = stripos($content,$tmp_key,$tmp_index_begin);
        			
	        		if ($tmp_index!==FALSE && ($index_found==='' || $tmp_index<$index_found)) {
	        			/*
	        			 * Check if is a word/phrase, not part of other word/phrase
	        			 */
	        			$is_word_phrase = TRUE;
	        			$characters_allowed_key_sides_arr = WPContentMagic_Settings::get_characters_allowed_key_sides();
	        			// Check before
	        			$str_in_tmp_index_minus_1 = substr($content,$tmp_index-1,1);
		        		if ($str_in_tmp_index_minus_1) {
		        			// Has something
		        			if (!in_array($str_in_tmp_index_minus_1,$characters_allowed_key_sides_arr)) {
		        				$is_word_phrase = FALSE;
		        			}
		        		}
	        			// Check after
	        			if ($is_word_phrase) {
		        			$str_in_tmp_index_plus_1 = substr($content,$tmp_index+strlen($tmp_key),1);
			        		if ($str_in_tmp_index_plus_1) {
			        			// Has something
				        		if (!in_array($str_in_tmp_index_plus_1,$characters_allowed_key_sides_arr)) {
			        				$is_word_phrase = FALSE;
			        			}
			        		}
	        			}
	        			
	        			/*
	        			 * Check that the keyword isn't inside a tag
	        			 */
	        			if ($is_word_phrase) {
		        			$text_before_key = substr($content,0,$tmp_index);
			        		$last_less_than = strrpos($text_before_key,'<');
				        	if ($last_less_than!==FALSE) {
				        		$last_bigger_than = strrpos($text_before_key,'>');
				        		if ($last_bigger_than===FALSE || $last_bigger_than<$last_less_than)
				        			$is_word_phrase = FALSE;
				        	}
	        			}
	        			
	        			// If all OK, make the selection
	        			if ($is_word_phrase) {
		        			$index_found = $tmp_index;
		        			$key_found = substr($content,$tmp_index,strlen($tmp_key)); // This is used in order to respect the exact case of the kewyword in the text
	        			}
	        		}
	        		
	        		$tmp_index_begin = $tmp_index + strlen($tmp_key);
        		}
        		while ($tmp_index!==FALSE && $is_word_phrase===FALSE);
        	}
        	
        	return array($key_found,$index_found);
        }
	}
}