<?php
/**
 * Page to handle all Ajax requests for track links
 * All data will be returned using JSON format
 * 
 * General variables:
 * 
 * @uses	$_REQUEST['url']			required
 */

/** Loads the WordPress Environment */
require(dirname(__FILE__) . '/../../../../../wp-load.php');

/**
 * Process request
 */

if (trim($_REQUEST['url'])!='') {
	$click_link = new WPContentMagic_ClickLink();
	$click_link->set_link($_REQUEST['url']);
	$click_link->set_ip_from($_SERVER['REMOTE_ADDR']);
	$result = $click_link->save_to_db();
}

/**
 * Return data
 * 
 * @return	$data_to_return	if JSON format
 * @example	of data to return
 * 		$data_to_return = array(
				array('message'=>'Added successfully.', 'type'=>'notification')
		);
		$data_to_return = array(
				array('message'=>'Error in DB query.', 'type'=>'error')
		);
 */
if (isset($result)) {
	// Check which is the result and fill the message text and type

	if ($result) {
		$message_to_return = __('Added successfully.',WPContentMagic::$trans_domain);
		$type_to_return = 'notification';
	}
	else {
		$message_to_return = __("Error.",WPContentMagic::$trans_domain);
		$type_to_return = 'error';
	}
	
	$data_to_return['message'] = $message_to_return;
	$data_to_return['type'] = $type_to_return;
	
	$json = json_encode($data_to_return);
	echo $json;
}


