<?php
/**
 * Template to show the administrator's settings.
 * 	
 * @uses	string		$data['csv_keyword_url']		List of Comma Separated Values of Keywords and URLs.
 * @uses	string		$data['schedule_number_begin']
 * @uses	string		$data['schedule_unit_begin']
 * @uses	string		$data['schedule_number_end']
 * @uses	string		$data['schedule_unit_end']
 * @uses	string		$data['custom_schedule_date']	
 * @uses	string		$data['keywords_typed_for_tag_article']
 *
 * @uses	Radio		$data['post_type']				post->Post, page->Page
 * @uses	Radio		$data['post_status']			publish->Published,draft->Draft
 * @uses	Radio		$data['post_title_from']		file->Text File Name, title->Title Inside Article
 * @uses	Radio		$data['auto_tag_article']		1->Yes, 0->No
 * @uses	Radio		$data['auto_posting_schedule']	now->Post All Now, last_post->Start After Last Post, custom->Custom Schedule 
 * @uses	Radio		$data['cloak_links']			1->Yes, 0->No
 * @uses	Radio		$data['track_links']			1->Yes, 0->No
 *
 * @uses	Checkbox	$data['outbound_links_add_nofollow']		Add nofollow attribute
 * @uses	Checkbox	$data['outbound_links_open_new_window']		Open in a new window
 * @uses	Checkbox	$data['seo_options_bold_decoration']		Bold Keywords
 * @uses	Checkbox	$data['seo_options_underline_decoration']	Underline Keywords
 * @uses	Checkbox	$data['seo_options_italicize_decoration']	Italicize Keywords
 *
 * @uses 	int		$data['add_hyperlinks']							1->Yes, 0->No
 * @uses 	int		$data['seo_options_bold_per_article']			Number of Times per Article - Based on Tags
 * @uses 	int		$data['seo_options_underline_per_article']		Number of Times per Article - Based on Tags
 * @uses 	int		$data['seo_options_italicize_per_article']		Number of Times per Article - Based on Tags
 * @uses 	int		$data['in_content_hyperlinks_quantity']			Max Number of In Content Hyperlinks
 *
 */
?>
<div class="wrap">
    <h2>
        <?php _e('Settings',WPContentMagic::$trans_domain)?>
    </h2>
	<?php include( WPContentMagic::$template_dir . '/includes/msg.php'); ?>
    <form action="" method="post" enctype="multipart/form-data">
    <?php wp_nonce_field('WPContentMagic-save-settings');?>
        <table class="form-table">
            <tbody>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Select Type of Post', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="post_type" value="post" <?php echo ($data['post_type']=='post')?'checked="checked"':''?> /><?php _e( ' Post', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="post_type" value="page" <?php echo ($data['post_type']=='page')?'checked="checked"':''?> /><?php _e( ' Page', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Select Status of Post', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="post_status" value="publish" <?php echo ($data['post_status']=='publish')?'checked="checked"':''?> /><?php _e( ' Published', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="post_status" value="draft" <?php echo ($data['post_status']=='draft')?'checked="checked"':''?> /><?php _e( ' Draft', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Title of Post From?', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="post_title_from" value="file" <?php echo ($data['post_title_from']=='file')?'checked="checked"':''?> /><?php _e( ' Text File Name', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="post_title_from" value="title" <?php echo ($data['post_title_from']=='title')?'checked="checked"':''?> /><?php _e( ' Title Inside Article', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Auto Tag Each Article?', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="auto_tag_article" value="1" <?php echo ($data['auto_tag_article']=='1')?'checked="checked"':''?> /><?php _e( ' Yes', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="auto_tag_article" value="0" <?php echo ($data['auto_tag_article']=='0')?'checked="checked"':''?> /><?php _e( ' No', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="auto_tag_article" value="2" <?php echo ($data['auto_tag_article']=='2')?'checked="checked"':''?> /><?php _e( ' I\'ll Add My Own Keywords', WPContentMagic::$trans_domain );?></label>
						<br /><br />						
						<textarea id="keywords-typed-for-tag-article" name="keywords_typed_for_tag_article"><?php echo $data['keywords_typed_for_tag_article']?></textarea>
						<br />
						<span class="description">
							<?php _e( 'Type in your keywords/tags separated by a comma. ', WPContentMagic::$trans_domain );?><strong><?php _e( 'Example: ', WPContentMagic::$trans_domain );?></strong><em><?php _e( 'keyword1, keyword2, etc.', WPContentMagic::$trans_domain );?></em>				
						</span>
                    </td>
                </tr>				
				<tr valign="top">
                    <th scope="row">
                    	<label for="post-category"><?php _e( 'Select Category', WPContentMagic::$trans_domain );?></label>
                    </th>
                    <td>                    	
                		<?php wp_dropdown_categories( array( 'selected' =>  $data['post_category'], 'taxonomy' => 'category', 'hide_empty' => 0, 'id' => 'post-category', 'name' => 'post_category', 'orderby' => 'name', 'hierarchical' => 1 , 'show_option_none' => '&nbsp;', 'tab_index' => 3 ) ); ?>                    
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<label for="post-category-text"><?php _e( 'Create Category', WPContentMagic::$trans_domain );?></label>
                    </th>
                    <td>                    	
                		  <input id="post-category-text" class="regular-text" type="text" name="post_category_text" />
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Auto Posting Schedule', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="auto_posting_schedule" value="now" <?php echo ($data['auto_posting_schedule']=='now')?'checked="checked"':''?> /><?php _e( ' Post All Now', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="auto_posting_schedule" value="last_post" <?php echo ($data['auto_posting_schedule']=='last_post')?'checked="checked"':''?> /><?php _e( ' Start After Last Post', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="auto_posting_schedule" value="custom" <?php echo ($data['auto_posting_schedule']=='custom')?'checked="checked"':''?> /><?php _e( ' Custom Schedule', WPContentMagic::$trans_domain );?></label>
						<br />
						<div id="custom_schedule_date_wrap">
							<br />
							<input id="custom_schedule_date" size="15" type="text" name="custom_schedule_date" value="<?php echo $data['custom_schedule_date']?>" />							
							<span class="description"><?php _e( 'Click to open the calendar to set a past or future date.', WPContentMagic::$trans_domain );?></span>
						</div>
						<br />
						<?php _e( 'Post Between ', WPContentMagic::$trans_domain );?>&nbsp;<input type="text" class="right-align" name="schedule_number_begin" value="<?php echo $data['schedule_number_begin']?>" size="3" />
						<select name="schedule_unit_begin">
							<option value="minutes" <?php echo ($data['schedule_unit_begin']=='minutes')?'selected="selected"':''?>><?php _e( 'Minutes', WPContentMagic::$trans_domain );?></option>
							<option value="hours" <?php echo ($data['schedule_unit_begin']=='hours')?'selected="selected"':''?>><?php _e( 'Hours', WPContentMagic::$trans_domain );?></option>
							<option value="days" <?php echo ($data['schedule_unit_begin']=='days')?'selected="selected"':''?>><?php _e( 'Days', WPContentMagic::$trans_domain );?></option>
						</select>
						&nbsp;
						<?php _e( ' And ', WPContentMagic::$trans_domain );?>&nbsp;<input type="text" class="right-align" name="schedule_number_end" value="<?php echo $data['schedule_number_end']?>" size="3" />
						<select name="schedule_unit_end">
							<option value="minutes" <?php echo ($data['schedule_unit_end']=='minutes')?'selected="selected"':''?>><?php _e( 'Minutes', WPContentMagic::$trans_domain );?></option>
							<option value="hours" <?php echo ($data['schedule_unit_end']=='hours')?'selected="selected"':''?>><?php _e( 'Hours', WPContentMagic::$trans_domain );?></option>
							<option value="days" <?php echo ($data['schedule_unit_end']=='days')?'selected="selected"':''?>><?php _e( 'Days', WPContentMagic::$trans_domain );?></option>
						</select>
					</td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'SEO Options', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<table id="seo-options">
                    		<tbody>
                    			<tr valign="top">
                    				<th scope="row">
                    					<label><input type="checkbox" name="seo_options_bold_decoration" value="1" <?php echo ($data['seo_options_bold_decoration']=='1')?'checked="checked"':''?> /><?php _e( ' Bold Keywords', WPContentMagic::$trans_domain );?></label>					
                    				</th>
									<td>
										<label><input type="text" class="right-align" size="5" name="seo_options_bold_per_article" value="<?php echo $data['seo_options_bold_per_article'] ?>" /><?php _e( ' Number of Times per Article - Based on Tags', WPContentMagic::$trans_domain );?></label>
									</td>
                				</tr>
								<tr valign="top">
                    				<th scope="row">
                    					<label><input type="checkbox" name="seo_options_underline_decoration" value="1" <?php echo ($data['seo_options_underline_decoration']=='1')?'checked="checked"':''?> /><?php _e( ' Underline Keywords', WPContentMagic::$trans_domain );?></label>					
                    				</th>
									<td>
										<label><input type="text" class="right-align" size="5" name="seo_options_underline_per_article" value="<?php echo $data['seo_options_underline_per_article'] ?>" /><?php _e( ' Number of Times per Article - Based on Tags', WPContentMagic::$trans_domain );?></label>
									</td>
                				</tr>
								<tr valign="top">
                    				<th scope="row">
                    					<label><input type="checkbox" name="seo_options_italicize_decoration" value="1" <?php echo ($data['seo_options_italicize_decoration']=='1')?'checked="checked"':''?> /><?php _e( ' Italicize Keywords', WPContentMagic::$trans_domain );?></label>					
                    				</th>
									<td>
										<label><input type="text" class="right-align" size="5" name="seo_options_italicize_per_article" value="<?php echo $data['seo_options_italicize_per_article'] ?>" /><?php _e( ' Number of Times per Article - Based on Tags', WPContentMagic::$trans_domain );?></label>
									</td>
                				</tr>
							</tbody>
						</table>
					</td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<label for="add-hyperlinks"><?php _e( 'Add Hyperlinks?', WPContentMagic::$trans_domain );?></label>
                    </th>
                    <td>
                    	<select id="add-hyperlinks" name="add_hyperlinks">
                    		<option value="1" <?php echo ($data['add_hyperlinks']=='1')?'selected="selected"':''?>><?php _e( 'Yes', WPContentMagic::$trans_domain );?></option>
							<option value="0" <?php echo ($data['add_hyperlinks']=='0')?'selected="selected"':''?>><?php _e( 'No', WPContentMagic::$trans_domain );?></option>
                    	</select>
						<br />
						<label><input type="text" class="right-align" size="5" name="in_content_hyperlinks_quantity" value="<?php echo $data['in_content_hyperlinks_quantity'] ?>" /><?php _e( ' Max Number of In Content Hyperlinks', WPContentMagic::$trans_domain );?></label>
						<br /><br />
						<textarea id="csv_keyword_url" name="csv_keyword_url"><?php echo $data['csv_keyword_url']?></textarea>
						<br />
						<span class="description"><?php _e( 'One sentence by line. Sentence is in the format "keyword,url".', WPContentMagic::$trans_domain );?>
						<br />
						<strong><?php _e( ' Example:', WPContentMagic::$trans_domain );?></strong>
						<br />
						<strong><?php _e( 'Line 1: ', WPContentMagic::$trans_domain );?></strong><em><?php _e( 'keyword,http://www.yourdomain.com', WPContentMagic::$trans_domain );?></em>
						<br />
						<strong><?php _e( 'Line 2: ', WPContentMagic::$trans_domain );?></strong><em><?php _e( 'keyword2,http://www.yourdomain2.com', WPContentMagic::$trans_domain );?></em></span>							
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Cloak Link?', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="cloak_links" value="1" <?php echo ($data['cloak_links']=='1')?'checked="checked"':''?> /><?php _e( ' Yes', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="cloak_links" value="0" <?php echo ($data['cloak_links']=='0')?'checked="checked"':''?> /><?php _e( ' No', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Track Links?', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="radio" name="track_links" value="1" <?php echo ($data['track_links']=='1')?'checked="checked"':''?> /><?php _e( ' Yes', WPContentMagic::$trans_domain );?></label>
						&nbsp;
						<label><input type="radio" name="track_links" value="0" <?php echo ($data['track_links']=='0')?'checked="checked"':''?> /><?php _e( ' No', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
				<tr valign="top">
                    <th scope="row">
                    	<?php _e( 'Outbound Links?', WPContentMagic::$trans_domain );?>
                    </th>
                    <td>
                    	<label><input type="checkbox" name="outbound_links_add_nofollow" value="1" <?php echo ($data['outbound_links_add_nofollow']=='1')?'checked="checked"':''?> /><?php _e( ' Add nofollow attribute', WPContentMagic::$trans_domain );?></label>
						<br />
						<label><input type="checkbox" name="outbound_links_open_new_window" value="1" <?php echo ($data['outbound_links_open_new_window']=='1')?'checked="checked"':''?> /><?php _e( ' Open in a new window', WPContentMagic::$trans_domain );?></label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                    	<label for="filedata"><strong><?php _e( 'Select File to upload ', WPContentMagic::$trans_domain );?></strong><?php _e( '(zip/txt)', WPContentMagic::$trans_domain );?></label>
                    </th>
                    <td>
                    	<input id="filedata" type="file" name="filedata" accept="text/plain,application/zip" />
                    </td>
                </tr>
            </tbody>
        </table>
		<p class="submit"> 
			<input class="button-primary" type="submit" name="submit" value="<?php _e( 'Start Posting', WPContentMagic::$trans_domain );?>" />		
        	<input class="button-primary" type="submit" name="save" value="<?php _e( 'Save Settings', WPContentMagic::$trans_domain );?>" />
		</p>
    </form>
</div><!-- .wrap -->
