/**
 * @projectDescription Behaviour for Track Links page.
 *
 */
jQuery(function($){
    /*
     * Grid Definition.
     */
    var track_links_grid = $('#track-links-grid').jqGrid({
        altRows: true, // Set zebra-stripped grid with default class ui-priority-secondary.
        autowidth: true,
        colModel: [{
            align: 'left',
            classes: 'link_column',
            name: 'link',
            search: true,
            stype: 'text',
            width: 25,
            sortable: true,
        }, {
            align: 'right',
            classes: 'clicks_how_many_column',
            name: 'clicks_how_many',
            firstsortorder: 'desc',
            search: true,
            stype: 'text',
            width: 20,
            sortable: true,
        }, {
            align: 'right',
            classes: 'ip_from_how_many_column',
            name: 'ip_from_how_many',
            search: true,
            stype: 'text',
            width: 20,
            sortable: true,
        }],
        colNames: ['Link', 'How many clicks', 'From how many IPs'],
        datatype: 'json',
        deselectAfterSort: false,
        forceFit: true, // For resizing columns.
        height: 'auto',
        hoverrows: true,
        ignoreCase: true,
        loadui: 'block',
        mtype: 'POST',
        pager: '#track-links-grid-pager',
        postData: {
            object: 'clicks_links'
        },
        prmNames: {
            sort: 'orderby',
            order: 'orderdir',
        },
        rowList: [20, 30, 40],
        rowNum: 20, // Number of rows to show.
        rownumbers: true,
        sortname: 'clicks_how_many', // The initial sorting order.
        url: WPContentMagic.plugin_url + 'pages/ajax/list_data.php',
        viewrecords: true,
    }).jqGrid('navGrid', '#track-links-grid-pager', {
        // General navigation parameters.
        edit: false,
        add: false,
        del: true,
        search: false,
        refresh: true,
        view: false,
        closeOnEscape: true,
        refreshstate: 'current',
    }, {}, {}, {
        // Settings for DELETE.
        delData: {
            object: 'clicks_links', // The id: 'goal_id' is added automaticaly by jqGrid.
        },
        modal: false,
        mtype: 'POST',
        url: WPContentMagic.plugin_url + 'pages/ajax/delete_data.php',
    }, {}, {});
    
    jQuery('#track-links-grid').jqGrid('filterToolbar', {
        searchOnEnter: false,
    });
});
